| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | List of all members
gdayf.common.normalizationset.NormalizationSet Class Reference

Class NormalizationSet manage the Normalizations metadata as OrderedDict supporting Normalizer Class methods and actions. More...

Inheritance diagram for gdayf.common.normalizationset.NormalizationSet:
[legend]
Collaboration diagram for gdayf.common.normalizationset.NormalizationSet:
[legend]

## Public Member Functions
def | __init__ (self)
| The constructor Generate an empty NormalizationSet class with all elements initialized to correct types.
def | reset (self)
| Method oriented to reset a NormalizationSet instance. More...
def | set_base (self, datetime=True)
| Method oriented to establish base Normalization [Metadata]. More...
def | set_ignore_column (self)
| Method oriented to establish ignore_column Normalization [Metadata]. More...
def | set_stdmean (self, mean=0, std=1)
| Method oriented to establish stdmean Normalization [Metadata]. More...
def | set_drop_missing (self)
| Method oriented to establish drop_missing Normalization [Metadata]. More...
def | set_discretize (self, buckets_number=10, fixed_size=True)
| Method oriented to establish bucketing actions [Metadata]. More...
def | set_working_range (self, minval=-1.0, maxval=1.0, minrange=-1.0, maxrange=1.0)
| Method oriented to establish re-scaling data actions [Metadata]. More...
def | set_offset (self, offset=0)
| Method oriented to establish offset (+ or -) data actions [Metadata]. More...
def | set_aggregation (self, bucket_ratio=0.25)
| Method oriented to aggregate minimal and maximal non-frequent values on aggregated intervals [Metadata] Not implemented on Normalizer class [Not Use]. More...
def | set_fixed_missing_values (self, value=0.0)
| Method oriented to establish fixed value imputation data actions into missing values [Metadata]. More...
def | set_mean_missing_values (self, objective_column, full=False)
| Method oriented to establish variable value imputation data actions into missing values based on objective column [Metadata]. More...
def | set_progressive_missing_values (self, objective_column)
| Method oriented to establish variable extrapolated value imputation data actions into missing values based on objective column [Metadata]. More...

## Detailed Description

Class NormalizationSet manage the Normalizations metadata as OrderedDict supporting Normalizer Class methods and actions.

Definition at line 17 of file normalizationset.py.

## Member Function Documentation

## ◆ reset()

def gdayf.common.normalizationset.NormalizationSet.reset | ( |  | self | ) |

Method oriented to reset a NormalizationSet instance.

Parameters

  self | object pointer

Definition at line 27 of file normalizationset.py.

Here is the caller graph for this function:

## ◆ set_aggregation()

def gdayf.common.normalizationset.NormalizationSet.set_aggregation | ( |  | self,
|  |  | bucket_ratio = `0.25`
| ) |  |

Method oriented to aggregate minimal and maximal non-frequent values on aggregated intervals [Metadata] Not implemented on Normalizer class [Not Use].

Parameters

  self | object pointer
  bucket_ratio | ratio for aggregation ratio based on distribution (0.25 means 12.5% minimal and 12.5% maximal)

Definition at line 108 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_base()

def gdayf.common.normalizationset.NormalizationSet.set_base | ( |  | self,
|  |  | datetime = `True`
| ) |  |

Method oriented to establish base Normalization [Metadata].

Parameters

  self | object pointer

Definition at line 34 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_discretize()

def gdayf.common.normalizationset.NormalizationSet.set_discretize | ( |  | self,
|  |  | buckets_number = `10`,
|  |  | fixed_size = `True`
| ) |  |

Method oriented to establish bucketing actions [Metadata].

Parameters

  self | object pointer
  buckets_number | Number of buckets to be implemented
  fixed_size | True for interval fixed size, False for working on Frequency basis

Definition at line 73 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_drop_missing()

def gdayf.common.normalizationset.NormalizationSet.set_drop_missing | ( |  | self | ) |

Method oriented to establish drop_missing Normalization [Metadata].

Parameters

  self | object pointer

Definition at line 63 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_fixed_missing_values()

def gdayf.common.normalizationset.NormalizationSet.set_fixed_missing_values | ( |  | self,
|  |  | value = `0.0`
| ) |  |

Method oriented to establish fixed value imputation data actions into missing values [Metadata].

Parameters

  self | object pointer
  value | value to be applied into source Dataframe missing values

Definition at line 117 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_ignore_column()

def gdayf.common.normalizationset.NormalizationSet.set_ignore_column | ( |  | self | ) |

Method oriented to establish ignore_column Normalization [Metadata].

Parameters

  self | object pointer

Definition at line 43 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_mean_missing_values()

def gdayf.common.normalizationset.NormalizationSet.set_mean_missing_values | ( |  | self,
|  |  | objective_column,
|  |  | full = `False`
| ) |  |

Method oriented to establish variable value imputation data actions into missing values based on objective column [Metadata].

Parameters

  self | object pointer
  objective_column | Objective column string type identification
  full | True establishes all value as mean ignoring objective_column. False establishes mean of coincident values on objective column

Definition at line 128 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_offset()

def gdayf.common.normalizationset.NormalizationSet.set_offset | ( |  | self,
|  |  | offset = `0`
| ) |  |

Method oriented to establish offset (+ or -) data actions [Metadata].

Parameters

  self | object pointer
  offset | offset value to be applied into source Dataframe

Definition at line 98 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_progressive_missing_values()

def gdayf.common.normalizationset.NormalizationSet.set_progressive_missing_values | ( |  | self,
|  |  | objective_column
| ) |  |

Method oriented to establish variable extrapolated value imputation data actions into missing values based on objective column [Metadata].

Parameters

  self | object pointer
  objective_column | Objective column string type identification

Definition at line 139 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_stdmean()

def gdayf.common.normalizationset.NormalizationSet.set_stdmean | ( |  | self,
|  |  | mean = `0`,
|  |  | std = `1`
| ) |  |

Method oriented to establish stdmean Normalization [Metadata].

Parameters

  self | object pointer
  mean | average data value
  std | standard deviation data value

Definition at line 53 of file normalizationset.py.

Here is the call graph for this function:

## ◆ set_working_range()

def gdayf.common.normalizationset.NormalizationSet.set_working_range | ( |  | self,
|  |  | minval = `-1.0`,
|  |  | maxval = `1.0`,
|  |  | minrange = `-1.0`,
|  |  | maxrange = `1.0`
| ) |  |

Method oriented to establish re-scaling data actions [Metadata].

Parameters

  self | object pointer
  minval | Minimal value on source Dataframe
  maxval | Maximum value on source Dataframe
  minrange | Minimal value on target Dataframe
  minval | Maximum value on target Dataframe

Definition at line 86 of file normalizationset.py.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/common/normalizationset.py